## org.eclipse.datatools.sqltools.sqlbuilder.model
Class OmitSchemaInfo

    java.lang.Object
      java.util.Observable
          org.eclipse.datatools.sqltools.sqlbuilder.model.OmitSchemaInfo

All Implemented Interfaces:
  IOmitSchemaInfo

    public class OmitSchemaInfo

extends java.util.Observable
implements IOmitSchemaInfo

This class defines the set of properties which determine whether the current schema name is omitted from SQL generated by the SQL Query Builder.

Constructor Summary
`OmitSchemaInfo()`

Method Summary
`void` `copy(IOmitSchemaInfo iOmitSchemaInfo)` Implements `IOmitSchemaInfo.copy(IOmitSchemaInfo)`
`static OmitSchemaInfo` `decode(java.lang.String code)` Decodes a `OmitSchemaInfo` from an encoded String.
`java.lang.String` `encode()` Implements `IOmitSchemaInfo.encode()`
`boolean` `equals(IOmitSchemaInfo iOmitSchemaInfo)` Implements `IOmitSchemaInfo.equals(IOmitSchemaInfo)`
`java.lang.String` `getCurrentSchema()` Gets the current schema as input by the user.
`boolean` `getOmitCurrentSchema()` Implements `IOmitSchemaInfo.getOmitCurrentSchema()`
`boolean` `getUseAUIDAsCurrentSchema()` Implements `IOmitSchemaInfo.getUseAUIDAsCurrentSchema()`
`void` `initFromPreferences()` Implements `IOmitSchemaInfo.initFromPreferences()`
`void` `setChanged()` Function to be called when this `OmitSchemaInfo` has changed.
`void` `setCurrentSchema(java.lang.String currentSchema)` Implements `IOmitSchemaInfo.setCurrentSchema(String)`
`void` `setOmitCurrentSchema(boolean omitCurrentSchema)` Implements `IOmitSchemaInfo.setOmitCurrentSchema(boolean)`
`void` `setUseAUIDAsCurrentSchema(boolean useAUIDAsCurrentSchema)` Implements `IOmitSchemaInfo.setUseAUIDAsCurrentSchema(boolean)`

Methods inherited from class java.util.Observable
`addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OmitSchemaInfo

    public OmitSchemaInfo()

Method Detail

### getOmitCurrentSchema

    public boolean getOmitCurrentSchema()

  Implements `IOmitSchemaInfo.getOmitCurrentSchema()`

  Specified by:
    `getOmitCurrentSchema` in interface `IOmitSchemaInfo`
  Returns:
    true when the current schema should be omitted, otherwise false.

### setOmitCurrentSchema

    public void setOmitCurrentSchema(boolean omitCurrentSchema)

  Implements `IOmitSchemaInfo.setOmitCurrentSchema(boolean)`

  Specified by:
    `setOmitCurrentSchema` in interface `IOmitSchemaInfo`

### getUseAUIDAsCurrentSchema

    public boolean getUseAUIDAsCurrentSchema()

  Implements `IOmitSchemaInfo.getUseAUIDAsCurrentSchema()`

  Specified by:
    `getUseAUIDAsCurrentSchema` in interface `IOmitSchemaInfo`
  Returns:
    true when the authorisation ID should be used as the current schema.

### setUseAUIDAsCurrentSchema

    public void setUseAUIDAsCurrentSchema(boolean useAUIDAsCurrentSchema)

  Implements `IOmitSchemaInfo.setUseAUIDAsCurrentSchema(boolean)`

  Specified by:
    `setUseAUIDAsCurrentSchema` in interface `IOmitSchemaInfo`

### getCurrentSchema

    public java.lang.String getCurrentSchema()

  Description copied from interface: `IOmitSchemaInfo`
  Gets the current schema as input by the user.

  Specified by:
    `getCurrentSchema` in interface `IOmitSchemaInfo`
  Returns:
    the current schema as input by the user.
  See Also:
    `IOmitSchemaInfo.getCurrentSchema()`

### setCurrentSchema

    public void setCurrentSchema(java.lang.String currentSchema)

  Implements `IOmitSchemaInfo.setCurrentSchema(String)`

  Specified by:
    `setCurrentSchema` in interface `IOmitSchemaInfo`

### encode

    public java.lang.String encode()

  Implements `IOmitSchemaInfo.encode()`

  Specified by:
    `encode` in interface `IOmitSchemaInfo`
  Returns:
    encoded String
  See Also:
    `decode()`

### decode

    public static OmitSchemaInfo decode(java.lang.String code)

  Decodes a `OmitSchemaInfo` from an encoded String.

  Parameters:
    `code` - encoded `OmitSchemaInfo` object.
  Returns:
    `OmitSchemaInfo` object
  See Also:
    `encode()`

### setChanged

    public void setChanged()

  Function to be called when this `OmitSchemaInfo` has changed. Overrides `Observable.setChanged()`

  Specified by:
    `setChanged` in interface `IOmitSchemaInfo`
  Overrides:
    `setChanged` in class `java.util.Observable`

### equals

    public boolean equals(IOmitSchemaInfo iOmitSchemaInfo)

  Implements `IOmitSchemaInfo.equals(IOmitSchemaInfo)`

  Specified by:
    `equals` in interface `IOmitSchemaInfo`

### copy

    public void copy(IOmitSchemaInfo iOmitSchemaInfo)

  Implements `IOmitSchemaInfo.copy(IOmitSchemaInfo)`

  Specified by:
    `copy` in interface `IOmitSchemaInfo`
  Parameters:
    `iOmitSchemaInfo` - `IOmitSchemaInfo` object to be copied.

### initFromPreferences

    public void initFromPreferences()

  Implements `IOmitSchemaInfo.initFromPreferences()`

  Specified by:
    `initFromPreferences` in interface `IOmitSchemaInfo`